## mingw-w64-python-h5pyd-0.23.0-1.src.tar.zst

=== requirements.txt ===
certifi==2025.8.3
charset-normalizer==3.4.3
h5py==3.14.0
idna==3.10
numpy==2.2.6
packaging==25.0
pyproject_hooks==1.2.0
pytz==2025.2
requests==2.32.5
requests-unixsocket==0.4.1
tomli==2.2.1
urllib3==2.5.0

=== PKGBUILD ===
# Maintainer: Konstantin Podsvirov <konstantin@podsvirov.su>

_realname=h5pyd
pkgbase=mingw-w64-python-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-python-${_realname}")
pkgver=0.23.0
pkgrel=1
pkgdesc="h5py distributed - Python client library for HDF Rest API (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url="https://github.com/HDFGroup/h5pyd"
msys2_references=(
  'aur: python-h5pyd'
  'purl: pkg:pypi/h5pyd'
)
license=('BSD')
depends=("${MINGW_PACKAGE_PREFIX}-python"
         "${MINGW_PACKAGE_PREFIX}-python-numpy"
         "${MINGW_PACKAGE_PREFIX}-python-requests-unixsocket"
         "${MINGW_PACKAGE_PREFIX}-python-packaging"
         "${MINGW_PACKAGE_PREFIX}-python-pytz"
         "${MINGW_PACKAGE_PREFIX}-python-pyjwt")
makedepends=("${MINGW_PACKAGE_PREFIX}-python-build"
             "${MINGW_PACKAGE_PREFIX}-python-installer"
             "${MINGW_PACKAGE_PREFIX}-python-setuptools"
             "${MINGW_PACKAGE_PREFIX}-python-pkgconfig")
optdepends=(#"${MINGW_PACKAGE_PREFIX}-python-msrestazure: extra azure support"
            #"${MINGW_PACKAGE_PREFIX}-python-adal: extra azure support"
            #"${MINGW_PACKAGE_PREFIX}-python-google-api-python-client: extra google support"
            "${MINGW_PACKAGE_PREFIX}-python-google-auth-oauthlib: extra google support"
            "${MINGW_PACKAGE_PREFIX}-python-google-auth: extra google support"
            #"${MINGW_PACKAGE_PREFIX}-python-s3fs: extra aws support"
            "${MINGW_PACKAGE_PREFIX}-python-h5py: extra hdf5 support")
options=('!strip')
source=("https://github.com/HDFGroup/h5pyd/archive/v${pkgver}/${_realname}-${pkgver}.tar.gz")
sha256sums=('72c1051c501e783ea1b36bc6f2c3acc3f9a371881d230bd3d2a7a6427cb3c29a')

build() {
  cp -r "${_realname}-${pkgver}" "python-build-${MSYSTEM}" && cd "python-build-${MSYSTEM}"
  ${MINGW_PREFIX}/bin/python -m build --wheel --skip-dependency-check --no-isolation
}

package() {
  cd "${srcdir}/python-build-${MSYSTEM}"

  MSYS2_ARG_CONV_EXCL="--prefix=" \
    ${MINGW_PREFIX}/bin/python -m installer --prefix=${MINGW_PREFIX} \
    --destdir="${pkgdir}" dist/*.whl

  install -Dm644 COPYING \
    "${pkgdir}${MINGW_PREFIX}/share/licenses/python-${_realname}/LICENSE.txt"
}
